## 数据库连接池配置值较小,导致数据库连接不可用
问题场景：
衡水案件上传，一直卡在上传中，查看后台日志，发现数据库连接不可用
![](https://doc.dev.whrunpu.com/uploads/dossier/images/m_92cbc9f24fa221934a596b397aca3f5a_r.png)




## 解决方案
数据库连接不可用:
1.查数据库支持最大连接数
```sql
SHOW VARIABLES LIKE 'max_connections';
```

2.查数据库所运行的连接总数
```sql
SHOW STATUS WHERE variable_name = 'Threads_connected';
```

3.查当前业务数据库运行的连接总数
```sql
SHOW PROCESSLIST;

```
4.查java服务设置的连接池大小（查看根据下图设置）
![](https://doc.dev.whrunpu.com/uploads/dossier/images/m_76a2347587a6ec4a2ce1e19893750790_r.jpg)


参考文档：
[Mysql查看连接数(连接总数、活跃数、最大并发数)](https://www.cnblogs.com/caoshousong/p/10845396.html)

现场情况排查出3的问题比较大，设置的连接池配置值是50，比较小，而业务数据库连接总数179，连接总数已经占满，导致数据库连接不可用。
解决方法：把java服务的最大连接池改大一些。