### 问题故障：
慢sql：
```sql
select distinct b.case_id from sub_case_info a join case_info b on a.case_id=b.case_id where a.invalid_flag = 0 and a.sub_index > 0 and a.deal_user_id is null and b.lock_flag = 0 and b.display = 0 and a.display = 0 and a.deal_case_status < 3
```
问题原因：

该sql查询时长高达好几秒，经查，此为脏数据，
第一版本的统一存储生成的0批次，其处理状态未待处理，导致待处理数据量过大




### 解决办法：

-- 把0批次的数据，改为处理完成
```sql
update sub_case_info set deal_case_status = 3 where sub_index = 0

```
-- 新增索引
```sql
alter table sub_case_info add index idx_sub_case_info_status(invalid_flag,deal_case_status)
```